mysql、phpのバージョンアップ作業メモ

 

# wget http://downloads.mysql.com/archives/mysql-5.5/mysql-5.5.16.tar.gz

# tar zxvf phpMyAdmin-3.4.5-all-languages.tar.xz

# wget http://sourceforge.net/projects/phpmyadmin/files/phpMyAdmin/3.4.5/phpMyAdmin-3.4.5-all-languages.tar.gz/download

# wget http://jp.php.net/get/php-5.3.8.tar.gz/from/this/mirror

 

 

# tar zxvf mysql-5.5.16.tar.gz

# tar zxvf php-5.3.8.tar.gz
-Uvh

 

****************
rpmのやり方

wget ftp://fr2.rpmfind.net/linux/remi/fedora/6/remi/i386/mysql-5.5.16-1.fc6.remi.i386.rpm

 
[root@localhost tmp]# rpm -ivh MySQL-server-5.5.27-1.linux2.6.i386.rpm
error: Failed dependencies:
libaio.so.1 is needed by MySQL-server-5.5.27-1.linux2.6.i386

libaio.so.1が足りないってこと

yum でインストールする。
# yum install libaio.so.1

 
yum install mysql-server